package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyBeerQrcodeBatch;

/**
 * 批次Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyBeerQrcodeBatchMapper 
{
    /**
     * 查询批次
     * 
     * @param id 批次主键
     * @return 批次
     */
    public WyBeerQrcodeBatch selectWyBeerQrcodeBatchById(Long id);

    public Integer selectBatchCount();

    /**
     * 查询批次列表
     * 
     * @param wyBeerQrcodeBatch 批次
     * @return 批次集合
     */
    public List<WyBeerQrcodeBatch> selectWyBeerQrcodeBatchList(WyBeerQrcodeBatch wyBeerQrcodeBatch);

    /**
     * 新增批次
     * 
     * @param wyBeerQrcodeBatch 批次
     * @return 结果
     */
    public int insertWyBeerQrcodeBatch(WyBeerQrcodeBatch wyBeerQrcodeBatch);

    /**
     * 修改批次
     * 
     * @param wyBeerQrcodeBatch 批次
     * @return 结果
     */
    public int updateWyBeerQrcodeBatch(WyBeerQrcodeBatch wyBeerQrcodeBatch);

    /**
     * 删除批次
     * 
     * @param id 批次主键
     * @return 结果
     */
    public int deleteWyBeerQrcodeBatchById(Long id);

    /**
     * 批量删除批次
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBeerQrcodeBatchByIds(Long[] ids);
}
